﻿/*
	Copyright (c) 2024 The Wizard Of Finity (https://ZedLX.com)
*/



try {

	OokBF.src = `
		"Spaced Echo" application;

		Write into the console to see the spaced echo;

		++++++++++[>+++++++>++++++++++>++++++>+>+++<<<<<-]                           // setup initial values
		>-.>>>>++.<<<  -.>>>.<<<  +++++.>>>.<<< +++++++.>>>.<<  --.>. >. >>>>        // outputs " E c h o :"
								  , [->+>+<<] ++++++ [>------<-] > [ <<< ] >>>  >    // input first byte;  check for '$'
		[. <<<<<<.>>>>>> [-]<[-]< , [->+>+<<] ++++++ [>------<-] > [ <<< ] >>>  > ]  // input other bytes; check for '$'


		`;



	OokBF.inputType = "console utf";  // "console utf" for console, "stdInput utf" for stdInput

	OokBF.stdInput = `
Example standard input.
If the application is "Spaced Echo", and "OokBF.inputType" is set to "stdInput utf",
then this text will be output into the terminal, but with spaces added.
`;


	OokBF.termEmu = "ansi utf";     // one of: "dos", "dos utf", "ansi utf"
	OokBF.EOF     = "no-write";     // one of: "no-write", "0", "255"

	OokBF.showStandardOutput = false;     //true or false
	OokBF.showSourceCode     = false;     //true or false
	OokBF.showExecutionSpeed = false;     //true or false
	OokBF.disableF8          = false;     //true or false
	OokBF.disableResizer     = false;     //true or false   (automatically resizes the terminal to fit the window)
	OokBF.clearOnRestart     = false;     //true or false   (clears the terminal when the application is restarted)

	// The text for the start screen, in HTML format
	OokBF.infoHTML = `

		<br>

		<h2>Example application: <i>Spaced Echo</i></h2>
		<ul>
			<li>this application outputs to the terminal the text that was typed into it, but with spaces inserted between characters</li>
			<li>this application application ends when it encounters an “$” character</li>
		</ul>

		<h2>Environment instructions:</h2>
		<ul>
			<li>click on the “Run” button below to run the application</li>
			<li>press <span class="keys">F8</span> key to return to this screen at any time</li>
			<li>press <span class="keys">F11</span> key for fullscreen mode</li>
		</ul>

		<h2>Creating your own applications</h2>
		<ul>
			<li>to create your own cross-platform applications from source code written in <i>Ook!</i> or <i>BF</i> languages,
				you should download the
				<a href="https://zedlx.com/OokBF/ookbf-offline-download"><i>OokBF Offline Package</i></a>, which contains
				the runtime environment and instructions for linking programs with the environment
				</li>
		</ul>

		<hr>

		`;

	OokBF.end = true;   // set this to true when OokBF object is ready to be processed

 } catch(e) { envOokBF.AppExceptionShow(e);  };